# Contributing to Odyssey

## How should I post an issue?

Please use our issue templates to propose a bug or feature request.

## Can I use services that provide a reward (e.g. cryptocurrencies) for opensource contributions to open my issue?

No! We will just close the issues without paying any attention to it.

## Can I help to translate Odyssey?

Sure! We always welcome new translation contributions! Feel free to contact us about it or just open a Pull Request with a new translation.

You could use the english or german xml translation files as a base for your translation. But please keep in mind to remove the entries marked with `translatable="false"`.

If you want to be part of our contributors list in the app please use the following template string:

`<string name="contributor_translator_YOUR_LANGUAGE_NAME_IN_ENGLISH_LOWER_CASE">YOUR LANGUAGE NAME Translation</string>`

Add this in the values.xml file. This contains the english and default translation for odyssey. After that add this entry to your translation with the appropriate translation.

If you are not familiar with android programming just add the translation for `YOUR LANGUAGE NAME Translation` to the text of your pull request or email and we will take care of the rest.

## I want to change the UI, should I just do it and open a Pull Request?

No! We like the user interface the way it is. Before changing it contact us, sometimes we get used to non-intuitive things and are willing to change things.

## I want to add new features to Odyssey, should I just implement them?

Also no! Just ask us first, to ensure they are implemented the way other features are implemented and fit well in the existing source code.
